--- title: "RemoveResourceFromRules" slug: "management-cloudinsight-removeresourcefromrules" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-removeresourcefromrules" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # RemoveResourceFromRules Available in Classic and VPC Delete a specific monitored target from an event rule's monitored target group. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/rule/group/monitor/removeResourceFromRules | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodKey` | String | Required | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo) | | `resourceId` | String | Required | Monitoring target ID - See [GetAllMonitorGrp](/docs/en/management-cloudinsight-getallmonitorgrp) | | `ruleGroupIds` | Array | Required | Event rule ID - See [GetRuleGroupList](/docs/en/management-cloudinsight-getrulegrouplist) - When deleting two or more, separate them with a comma (,) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/rule/group/monitor/removeResourceFromRules' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "prodKey": "**********", "resourceId": "**********", "ruleGroupIds": [ "**********" ] }' ``` ## Response This section describes the response format. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example If the response is successful, a specific monitoring target is deleted from the monitoring target group along with the message `200 OK`.